%define	major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	An open-source audio processing library
Name:		soundtouch
Version:	1.9.2
Release:	%mkrel 3
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.surina.net/soundtouch/
Source0:	http://www.surina.net/soundtouch/%{name}-%{version}.tar.xz
Patch0:		soundtouch-1.7.0-x86_64-asm-broken.patch
Patch1:		soundtouch-1.9.2-automake-1.13.patch
BuildRequires:	dos2unix
Obsoletes:	SoundTouch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SoundTouch is an open-source audio processing library. It allows changing the
sound tempo, pitch and playback rate parameters independently from each other.

%package -n	%{libname}
Summary:	An open-source audio processing library
Group:          System/Libraries

%description -n	%{libname}
SoundTouch is an open-source audio processing library. It allows changing the
sound tempo, pitch and playback rate parameters independently from each other.

This package contains the shared libraries for SoundTouch.

%package -n	%{develname}
Summary:	Development package with static libs and headers
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname soundtouch 1 -d}

%description -n	%{develname}
Static libraries and header files required for compiling SoundTouch plugins.

%prep

%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

# fix permissions
chmod 644 COPYING.TXT README.html

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%build

sh ./bootstrap

%configure2_5x --enable-shared --disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall

# cleanup
rm -rf %{buildroot}/usr/doc
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.TXT README.html
%{_bindir}/soundstretch

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/soundtouch
%{_includedir}/soundtouch/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/soundtouch*.pc
%{_datadir}/aclocal/*


%changelog
* Wed Nov 15 2017 bb2 <bb2> - 1.9.2-3pclos2017
- drop obsoletes from libname

* Tue Nov 13 2017 bb2 <bb2> - 1.9.2-2pclos2017
- try to fix build for dnf

* Tue Jan 05 2016 bb <bb> 1.9.2-1pclos2016
- update

* Sat Sep 10 2011 Texstar <texstar at gmail.com> 1.5.0-1pclos2011
- 1.5.0

* Thu Dec 03 2009 Texstar <texstar at gmail.com> 1.4.0-1pclos2010
- gcc update
- 1.4.0

